Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - MCPServerVersions

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

MCP Server Versions

Server versions stored in the Boomi MCP registry.

get_4

Get an MCP server version by server name and version.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string

Responses

Response Schema: application/json
createdAt
required
string <date-time>
externalId
required
string
id
required
string <uuid>
published
required
boolean
sequenceId
required
integer <int64>
serverName
required
string
updatedAt
required
string <date-time>
version
required
string
visibility
required
string
Enum: "RESTRICTED" "PUBLIC"

Response samples

Content type
application/json
{
  • "serverName": "my-mcp-server",
  • "version": "1.0.0",
  • "sequenceId": 42,
  • "published": true,
  • "visibility": "PUBLIC",
  • "createdAt": "2024-01-15T10:30:00Z",
  • "updatedAt": "2024-06-01T08:00:00Z",
  • "externalId": "d00960f3-df46-4176-908e-9e2184009c7d",
  • "id": "550e8400-e29b-41d4-a716-446655440000"
}

update_3

Update published status and visibility of an MCP server version.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string
Request Body schema: application/json
required
published
required
boolean
visibility
required
string
Enum: "RESTRICTED" "PUBLIC"

Responses

Response Schema: application/json
createdAt
required
string <date-time>
externalId
required
string
id
required
string <uuid>
published
required
boolean
sequenceId
required
integer <int64>
serverName
required
string
updatedAt
required
string <date-time>
version
required
string
visibility
required
string
Enum: "RESTRICTED" "PUBLIC"

Request samples

Content type
application/json
{
  • "published": true,
  • "visibility": "PUBLIC"
}

Response samples

Content type
application/json
{
  • "serverName": "my-mcp-server",
  • "version": "1.0.0",
  • "sequenceId": 42,
  • "published": true,
  • "visibility": "PUBLIC",
  • "createdAt": "2024-01-15T10:30:00Z",
  • "updatedAt": "2024-06-01T08:00:00Z",
  • "externalId": "d00960f3-df46-4176-908e-9e2184009c7d",
  • "id": "550e8400-e29b-41d4-a716-446655440000"
}

addAllowedOrganization

Grant an organization access to this MCP server version. Only applies if visibility is RESTRICTED.

Authorizations:
bearerAuth
path Parameters
orgId
required
string <uuid>
query Parameters
serverName
required
string
version
required
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

removeAllowedOrganization

Revoke an organization's access to this MCP server version.

Authorizations:
bearerAuth
path Parameters
orgId
required
string <uuid>
query Parameters
serverName
required
string
version
required
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

getVisibleIds

Return the IDs of all MCP server versions visible to the current user. Public versions are always included; restricted versions are included if the user's organization is in the allowed list.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
string

Response samples

Content type
application/json
[
  • "string"
]

getAllowedOrganizations

Get all organizations that have been granted access to this MCP server version. Only applies if visibility is RESTRICTED.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string

Responses

Response Schema: application/json
Array
displayName
required
string

Display name of the organization.

id
required
string <uuid>

UUID of the organization.

Response samples

Content type
application/json
[
  • {
    • "displayName": "string",
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
]

getAvailableOrganizations_1

Return organizations that can be granted access to this MCP server version. Already-allowed organizations are excluded.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string

Responses

Response Schema: application/json
Array
displayName
required
string

Display name of the organization.

id
required
string <uuid>

UUID of the organization.

Response samples

Content type
application/json
[
  • {
    • "displayName": "string",
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
]